CS::Mesh::iAnimatedMeshSocket Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iAnimatedMeshSocket Struct Reference

Sockets attached to animated meshes. More...

`#include <imesh/animesh.h>`

Inheritance diagram for CS::Mesh::iAnimatedMeshSocket:

List of all members.

## Public Member Functions
virtual CS::Animation::BoneID | GetBone () const =0
| Get the ID of the bone associated with this socket.
virtual iAnimatedMeshSocketFactory * | GetFactory ()=0
| Get the factory of this socket.
virtual const csReversibleTransform | GetFullTransform () const =0
| Get the full transform of this socket, in world coordinate.
virtual iAnimatedMesh * | GetMesh () const =0
| Get the associated animated mesh.
virtual const char * | GetName () const =0
| Get the name of this socket.
virtual iSceneNode * | GetSceneNode () const =0
| Get the scene node associated with this socket.
virtual const csReversibleTransform & | GetTransform () const =0
| Get the 'bone to socket transform' of this socket.
virtual void | SetSceneNode (iSceneNode *sn)=0
| Set the scene node associated with this socket.
virtual void | SetTransform (csReversibleTransform &tf)=0
| Set the 'bone to socket transform' of this socket.

## Detailed Description

Sockets attached to animated meshes.

Sockets are designed to attach external objects to iAnimatedMesh's.

Definition at line 114 of file animesh.h.

## Member Function Documentation

virtual CS::Animation::BoneID CS::Mesh::iAnimatedMeshSocket::GetBone | ( |  | ) | const`[pure virtual]`

Get the ID of the bone associated with this socket.

virtual iAnimatedMeshSocketFactory* CS::Mesh::iAnimatedMeshSocket::GetFactory | ( |  | ) | `[pure virtual]`

Get the factory of this socket.

virtual const csReversibleTransform CS::Mesh::iAnimatedMeshSocket::GetFullTransform | ( |  | ) | const`[pure virtual]`

Get the full transform of this socket, in world coordinate.

virtual iAnimatedMesh* CS::Mesh::iAnimatedMeshSocket::GetMesh | ( |  | ) | const`[pure virtual]`

Get the associated animated mesh.

virtual const char* CS::Mesh::iAnimatedMeshSocket::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this socket.

virtual iSceneNode* CS::Mesh::iAnimatedMeshSocket::GetSceneNode | ( |  | ) | const`[pure virtual]`

Get the scene node associated with this socket.

virtual const csReversibleTransform& CS::Mesh::iAnimatedMeshSocket::GetTransform | ( |  | ) | const`[pure virtual]`

Get the 'bone to socket transform' of this socket.

virtual void CS::Mesh::iAnimatedMeshSocket::SetSceneNode | ( | iSceneNode * | sn | ) | `[pure virtual]`

Set the scene node associated with this socket.

virtual void CS::Mesh::iAnimatedMeshSocket::SetTransform | ( | csReversibleTransform & | tf | ) | `[pure virtual]`

Set the 'bone to socket transform' of this socket.

The documentation for this struct was generated from the following file:

- imesh/animesh.h